/* ==========================================================================
   Grid System style - begin
   ========================================================================== */

.mkdf-two-columns-form-without-space {
    
    .mkdf-column-left {
        display: table-cell;
        width: 99%;
        vertical-align: top;
    }
    
    .mkdf-column-right {
        display: table-cell;
        width: 1%;
        text-align: left;
        vertical-align: top;
    }
}

.mkdf-two-columns-form-with-space {
	
	.mkdf-column-left {
		display: table-cell;
		width: 99%;
		vertical-align: top;
		padding: 0 10px 0 0;
		box-sizing: border-box;
	}
	
	.mkdf-column-right {
		display: table-cell;
		width: 1%;
		text-align: left;
		vertical-align: top;
		padding: 0 0 0 10px;
		box-sizing: border-box;
	}
}

@import 'grid-system-mixin';

.mkdf-grid-row {
    @include createGridRow();
    @include mkdfClearfix();
	.mkdf-sidebar-holder {
		margin-bottom: 100px;
		&.mkdf-sidebar-left {
			border-right: 1px solid #ebebeb;
			padding-right: 25px;
		}
		&.mkdf-sidebar-right {
			border-left: 1px solid #ebebeb;
			padding-left: 25px;
		}
	}
	.mkdf-page-content-holder {
		&.mkdf-content-left {
			padding-right: 25px;
		}
		&.mkdf-content-right {
			padding-left: 25px;
		}
	}
}

@include ipad-landscape {
    .mkdf-grid-row {
		.mkdf-page-content-holder {
			&.mkdf-content-left {
				padding-right: 15px;
			}
			&.mkdf-content-right {
				padding-left: 15px;
			}
		}

        .mkdf-sidebar-holder {
            &.mkdf-sidebar-left {
                border-right: none;
            }
            &.mkdf-sidebar-right {
                border-left: none;
            }
        }
    }
}

//generate gutter spaces
$columns_space_label: ('no', 'tiny', 'small', 'normal', 'medium', 'large');
$columns_space: (0, 5, 10, 15, 20, 25);

@for $i from 0 to length($columns_space_label) {
    &.mkdf-grid-#{nth($columns_space_label,$i+1)}-gutter {
        $item_space: nth($columns_space, $i+1);
    
        //generate holder margin
        @include createGridRow($item_space);
        
        //generate columns padding
        > div {
            @include createGridColumnPadding($item_space);
        }
    }
}

//generate column classes
@for $i from 1 to (map-get($gridConfig, numberOfCols) + 1) {
    .mkdf-grid-col-#{$i} {
        @include createGridColumn($i);
        
        @include createGridColumnResponsive(map-get($gridConfig, stackOn));
    }
}

//generate push / pull classes
@for $i from 1 to (map-get($gridConfig, numberOfCols) + 1) {
    .mkdf-grid-col-push-#{$i} {
        @include createGridColumnPush($i);
    }
    
    .mkdf-grid-col-pull-#{$i} {
        @include createGridColumnPull($i);
    }
}

//generate responsive width column classes
@for $i from 1 to (map-get($gridConfig, numberOfCols) + 1) {
    @each $size, $width in $breakpoints {
        .mkdf-grid-col-#{$size}-#{$i} {
            $stack: false;
            
            //check if current column is max number of columns.
            //if it is than we need to stack columns
            @if($i == map-get($gridConfig, numberOfCols)) {
                $stack: true;
            }
            
            //if current column isn't the max number of columns
            //than generate responsive for it.
            @if($i < (map-get($gridConfig, numberOfCols) + 1)) {
                @include createGridColumnResponsive($size, $i, $stack);
            }
        }
    }
}
/* ==========================================================================
   Grid System style - end
   ========================================================================== */